summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts/fs_mark
diff options
context:
space:
mode:
Diffstat (limited to 'sanity/system_light/scripts/fs_mark')
-rwxr-xr-xsanity/system_light/scripts/fs_mark/fs_mark.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/fs_mark/fs_mark.sh b/sanity/system_light/scripts/fs_mark/fs_mark.sh
new file mode 100755
index 0000000..53404c5
--- /dev/null
+++ b/sanity/system_light/scripts/fs_mark/fs_mark.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+function main ()
+{
+
+ echo "start: `date +%T`"
+
+ for i in `seq 1 6`
+ do
+ time fs_mark -d . -D SUBDIR_COUNT -t THR_COUNT -S $i 2>>$LOG_FILE 1>>$LOG_FILE
+ if [ $? -ne 0 ]; then
+ echo "end:`date +%T`";
+ return 11;
+ fi
+ done
+
+ echo "end:`date +%T`";
+ return 0;
+}
+
+main "$@";